Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class AreaFormatInfo

    java.lang.Object
      jet.report.xls.AreaFormatInfo

    public class AreaFormatInfo

extends java.lang.Object

Contains the information of Area format of a chart.

Field Summary
`static short` | `AUTOFORMAT` Auto format is used.
`static short` | `NONE` Represents none formatting type.

Constructor Summary
`AreaFormatInfo()` Constructs an AreaFormatInfo object and there is no color to be filled.
`AreaFormatInfo(GradientInfo gradientInfo)` Constructs an AreaFormatInfo object with the `GradientInfo` object.
`AreaFormatInfo(int rgbFore, int rgbBack, short pattern, short grbit, GlobalWorksheet gws)` Constructs the foreground color and background color of an AreaFormatInfo object.
`AreaFormatInfo(PatternInfo patternInfo)` Constructs an AreaFormatInfo object with the `patternInfo` object.
`AreaFormatInfo(TextureInfo textureInfo)` Constructs an AreaFormatInfo record and sets its fields appropriately.

Method Summary
`int` | `getBackColor()` Gets the background color of the area.
`int` | `getForeColor()` Gets the foreground color of the area.
`GradientInfo` | `getGradientInfo()` Gets the information of gradient color.
`short` | `getPattern()` Gets the pattern of the area.
`PatternInfo` | `getPatternInfo()` Gets the information of pattern color.
`TextureInfo` | `getTextureInfo()` Gets the information of texture color.
`boolean` | `isAutoFormat()` Gets whether the area is automatic format or not.
`void` | `setBackColor(int color, GlobalWorksheet gws)` Sets the background color of the area.
`void` | `setForeColor(int color, GlobalWorksheet gws)` Sets the foreground color of the area.
`void` | `setGradientInfo(GradientInfo gradientInfo)` Sets the information of gradient color.
`void` | `setPattern(short pattern)` Sets the pattern of the area.
`void` | `setPatternInfo(PatternInfo patternInfo)` Sets the information of pattern color.
`void` | `setRound(boolean round)` Specifies whether the border is round or not.
`void` | `setTextureInfo(PatternInfo patternInfo)` Sets the information of texture color.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final short NONE

  Represents none formatting type.

  See Also:
    Constant Field Values

### AUTOFORMAT

    public static final short AUTOFORMAT

  Auto format is used.

  See Also:
    Constant Field Values

Constructor Detail

### AreaFormatInfo

    public AreaFormatInfo()

  Constructs an AreaFormatInfo object and there is no color to be filled.

### AreaFormatInfo

    public AreaFormatInfo(int rgbFore,
                          int rgbBack,
                          short pattern,
                          short grbit,
                          GlobalWorksheet gws)

  Constructs the foreground color and background color of an AreaFormatInfo object. It is color fill format.

  Parameters:
    `rgbFore` - Foreground color
    `rgbBack` - Background color
    `pattern` - Pattern of area 1 for color 0
    `grbit` - Format flags of area NONE or AUTOFORMAT

### AreaFormatInfo

    public AreaFormatInfo(GradientInfo gradientInfo)

  Constructs an AreaFormatInfo object with the `GradientInfo` object. It is gradient fill format.

  Parameters:
    `gradientInfo` - Information of gradient area color

### AreaFormatInfo

    public AreaFormatInfo(PatternInfo patternInfo)

  Constructs an AreaFormatInfo object with the `patternInfo` object. It is pattern fill format.

  Parameters:
    `patternInfo` - Information of pattern area color

### AreaFormatInfo

    public AreaFormatInfo(TextureInfo textureInfo)

  Constructs an AreaFormatInfo record and sets its fields appropriately.

  Parameters:
    `textureInfo` - Information of texture area color

Method Detail

### setPattern

    public void setPattern(short pattern)

  Sets the pattern of the area.

  Parameters:
    `pattern` - the pattern of the area

### getPattern

    public short getPattern()

  Gets the pattern of the area.

### isAutoFormat

    public boolean isAutoFormat()

  Gets whether the area is automatic format or not.

  Returns:
    whether the area is automatic format

### setForeColor

    public void setForeColor(int color,
                             GlobalWorksheet gws)

  Sets the foreground color of the area.

  Parameters:
    `color` - foreground color of the area

### setRound

    public void setRound(boolean round)

  Specifies whether the border is round or not.

  Parameters:
    `round` - true if the border is round

### getForeColor

    public int getForeColor()

  Gets the foreground color of the area.

  Returns:
    the foreground color of the area

### setBackColor

    public void setBackColor(int color,
                             GlobalWorksheet gws)

  Sets the background color of the area.

  Parameters:
    `color` - background color of the area

### getBackColor

    public int getBackColor()

  Gets the background color of the area.

  Returns:
    the background color of the area

### setGradientInfo

    public void setGradientInfo(GradientInfo gradientInfo)

  Sets the information of gradient color.

  Parameters:
    `gradientInfo` - the information of gradient color

### getGradientInfo

    public GradientInfo getGradientInfo()

  Gets the information of gradient color.

  Returns:
    the information of gradient color

### setPatternInfo

    public void setPatternInfo(PatternInfo patternInfo)

  Sets the information of pattern color.

  Parameters:
    `patternInfo` - the information of pattern color

### getPatternInfo

    public PatternInfo getPatternInfo()

  Gets the information of pattern color.

  Returns:
    the information of pattern color

### setTextureInfo

    public void setTextureInfo(PatternInfo patternInfo)

  Sets the information of texture color.

  Parameters:
    `patternInfo` - the information of texture color

### getTextureInfo

    public TextureInfo getTextureInfo()

  Gets the information of texture color.

  Returns:
    the information of texture color

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD